package com.zy.bms.service.impl;

import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.zy.bms.common.io.pc.GroupIO;
import com.zy.bms.common.vo.GroupListVo;
import com.zy.bms.model.Group;
import com.zy.bms.mapper.GroupMapper;
import com.zy.bms.service.IGroupService;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 项目组 服务实现类
 * </p>
 *
 * @author chenyi
 * @since 2021-05-19
 */
@Service
public class GroupServiceImpl extends ServiceImpl<GroupMapper, Group> implements IGroupService {

    @Override
    public IPage<GroupListVo> listPage(GroupIO io) {
        Page<GroupListVo> page = new Page<>(io.getCurrent(), io.getSize());
        return baseMapper.listPage(page, io);
    }

    @Override
    public boolean checkRepeat(String code) {
        return baseMapper.checkRepeat(code) > 0;
    }

    @Override
    public void updateStatus(Integer id, Integer status) {
        UpdateWrapper<Group> updateWrapper = new UpdateWrapper<>();
        updateWrapper.set("status", status).eq("id", id);
        update(updateWrapper);
    }
}
